Bug 16906 - Add DataTables pagination and filter to top of saved SQL reports table
Summary: Add DataTables pagination and filter to top of saved SQL reports table
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-12 18:06 UTC by Owen Leonard
Modified: 2017-12-07 22:15 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16906 - Add DataTables pagination and filter to top of saved SQL reports table (1.49 KB, patch)
2016-07-12 18:12 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16906 - Add DataTables pagination and filter to top of saved SQL reports table (1.59 KB, patch)
2016-07-12 18:40 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16906 - Add DataTables pagination and filter to top of saved SQL reports table (1.66 KB, patch)
2016-07-20 14:19 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16906: Simply remove the sDom definition to use the default one (1.14 KB, patch)
2016-07-20 14:19 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-07-12 18:06:24 UTC
Right now the table of saved SQL reports has a DataTables toolbar at the bottom showing pagination options and the search field. I think it would be useful to have it at the top too, especially to make the search field more readily accessible.
Comment 1 Owen Leonard 2016-07-12 18:12:03 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-07-12 18:40:04 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-07-15 13:49:35 UTC
Owen, any reasons not to remove the sDom definition to use the default one?
Comment 4 Owen Leonard 2016-07-18 15:47:33 UTC
(In reply to Jonathan Druart from comment #3)
> Owen, any reasons not to remove the sDom definition to use the default one?

No I guess not.
Comment 5 Jonathan Druart 2016-07-20 14:19:29 UTC
Created attachment 53525 [details] [review]
Bug 16906 - Add DataTables pagination and filter to top of saved SQL reports table

This patch adds a DataTables toolbar to the top of the saved SQL reports
table so that pagination and filtering controls are at the top as well
as the bottom.

To test, apply the patch and go to Reports -> Saved reports. There
should be controls at the top of the table of saved reports for setting
number of results, pagination, and searching.

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2016-07-20 14:19:32 UTC
Created attachment 53526 [details] [review]
Bug 16906: Simply remove the sDom definition to use the default one

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Kyle M Hall 2016-07-22 17:24:41 UTC
Pushed to master for 16.11, thanks Owen!
Comment 8 Frédéric Demians 2016-08-01 13:46:08 UTC
Pushed in 16.05. Will be in 16.05.02.